import { g as getDefaultExportFromCjs } from "./_commonjsHelpers-DWwsNxpa.js";
import { aP as requireIteratee, aR as requireIdentity } from "./RechartsWrapper-B6DckFGn.js";
var maxBy$3 = {};
var maxBy$2 = {};
var hasRequiredMaxBy$2;
function requireMaxBy$2() {
  if (hasRequiredMaxBy$2) return maxBy$2;
  hasRequiredMaxBy$2 = 1;
  (function(exports) {
    Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
    function maxBy2(items, getValue) {
      if (items.length === 0) {
        return void 0;
      }
      let maxElement = items[0];
      let max = getValue(maxElement);
      for (let i = 1; i < items.length; i++) {
        const element = items[i];
        const value = getValue(element);
        if (value > max) {
          max = value;
          maxElement = element;
        }
      }
      return maxElement;
    }
    exports.maxBy = maxBy2;
  })(maxBy$2);
  return maxBy$2;
}
var hasRequiredMaxBy$1;
function requireMaxBy$1() {
  if (hasRequiredMaxBy$1) return maxBy$3;
  hasRequiredMaxBy$1 = 1;
  (function(exports) {
    Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
    const maxBy$12 = /* @__PURE__ */ requireMaxBy$2();
    const identity = /* @__PURE__ */ requireIdentity();
    const iteratee = /* @__PURE__ */ requireIteratee();
    function maxBy2(items, iteratee$1) {
      if (items == null) {
        return void 0;
      }
      return maxBy$12.maxBy(Array.from(items), iteratee.iteratee(iteratee$1 ?? identity.identity));
    }
    exports.maxBy = maxBy2;
  })(maxBy$3);
  return maxBy$3;
}
var maxBy$1;
var hasRequiredMaxBy;
function requireMaxBy() {
  if (hasRequiredMaxBy) return maxBy$1;
  hasRequiredMaxBy = 1;
  maxBy$1 = requireMaxBy$1().maxBy;
  return maxBy$1;
}
var maxByExports = /* @__PURE__ */ requireMaxBy();
const maxBy = /* @__PURE__ */ getDefaultExportFromCjs(maxByExports);
export {
  maxBy as m
};
